%---------------------------------------------------------------------  
% function [block] = FT_uncomment_block(block)
% 
% Removes all comment signs in block.
%
% block: block structure
%
% Part of the SimTools package
% Andreas Freise 22.05.08 afreise@googlemail.com
%---------------------------------------------------------------------  

function [block] = FT_uncomment_block(block)

  baseid='FT_uncomment_block';
    
  if (~isstruct(block))
    msgid=[baseid,':checkinarg'];
    result='first input argument must be a block structure';
    error(msgid,result);
  end
  
  lines=1:block.n_lines;

  block=FT_uncomment_lines_in_block(block,lines);
    
  